# \Thelia\Tests\Core\Template\ElementBaseLoopTestor

## Summary

Methods
Properties
Constants
getTestedClassName()
getTestedInstance()
getMandatoryArguments()
setUp()
testGetArgDefinitions()
testExec()
No public properties found
No constants found
getMethod()
$request
$dispatcher
$securityContext
$instance
N/A
No private methods found
No private properties found
N/A
abstract

File
  Tests/Core/Template/Element/BaseLoopTestor.php
Package
  \Default
Class hierarchy
  \PHPUnit_Framework_TestCase
  \Thelia\Tests\Core\Template\Element\BaseLoopTestor

## Tags

author | Etienne Roudeix eroudeix@openstudio.fr

## Properties

### $request

    $request

#

## Tags

None found

### $dispatcher

    $dispatcher

#

## Tags

None found

### $securityContext

    $securityContext

#

## Tags

None found

### $instance

    $instance

#

## Tags

None found

## Methods

### getTestedClassName()

    getTestedClassName()

#

abstract

## Tags

None found

### getTestedInstance()

    getTestedInstance()

#

abstract

## Tags

None found

### getMandatoryArguments()

    getMandatoryArguments()

#

abstract

## Tags

None found

### setUp()

    setUp()

#

## Tags

None found

### testGetArgDefinitions()

    testGetArgDefinitions()

#

## Tags

None found

### testExec()

    testExec()

#

## Tags

None found

### getMethod()

    getMethod( $name)

#### Parameters

| $name |

#

## Tags

None found

### BaseLoopTestor.php